Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

Für Installationen unter Linux-Systemen

Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

Beitragvon malabarista » 28. Mai 2019, 13:34 Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

Ich wolte in einem neuen Linux Mint 19.1 lazarus installieren und habe den 2.0.2_amd64.deb downgeladen.
Beim Installieren mittels gdebi erhalte ich die Fehlermeldung:
Abhängigkeit nicht erfüllbar:fpc-laz(=3.0.4)

Was ist zu tun ?
malabarista
 
Beiträge: 318
Registriert: 11. Jun 2016, 11:16
Wohnort: Konstanz
OS, Lazarus, FPC: Linux Mint 18.1 L1.6.2-1 FPC 3.0.0 | 
CPU-Target: 64Bit
Nach oben

Beitragvon fliegermichl » 28. Mai 2019, 14:06 Re: fpc 2.0.2 Abhängigkeit nicht erfüllbar

Ich würde mit fpcupdeluxe installieren. Das klappt meistens am besten.
fliegermichl
Lazarusforum e. V.
 
Beiträge: 437
Registriert: 9. Jun 2011, 08:42
Wohnort: Echzell
OS, Lazarus, FPC: Winux (L 2.0.7 FPC 3.04) | 
CPU-Target: 32/64Bit
Nach oben

Beitragvon Socke » 29. Mai 2019, 10:29 Re: Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

malabarista hat geschrieben:Was ist zu tun ?

Bitte schreib doch dabei, wo du die Installationsdateien heruntergeladen hast.

Bei den offiziellen Paketen findest du alles: https://www.lazarus-ide.org > Downloads > Lazarus Linux amd64 DEB (64 Bits)
Dort kannst du alle drei benötigten Pakete herunterladen:
README.TXT hat geschrieben:You need to download and install all three packages fpc, fpc-src and lazarus.
MfG Socke
Ein Gedicht braucht keinen Reim//Ich pack’ hier trotzdem einen rein
Socke
Lazarusforum e. V.
 
Beiträge: 2647
Registriert: 22. Jul 2008, 18:27
Wohnort: Köln
OS, Lazarus, FPC: Lazarus: SVN; FPC: svn; Win 10/Linux/Raspbian/openSUSE | 
CPU-Target: 32bit x86 armhf
Nach oben

Beitragvon malabarista » 29. Mai 2019, 11:36 Re: Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

Ursprünglich hatte ich es aus den offiziellen Paketquellen von mint 19.1 installiert, - was aber ebenfalls wegen Abhängigkeitsproblemen scheiterte.
Was ausser den drei Downloads noch wichtig ist (wegen Abhängigkeiten), aber leider nirgends steht, ist die Reihenfolge der Installationen.
Durch Probieren herausgefunden habe ich:
1. fpc-src
2. fpc
3. lazarus
malabarista
 
Beiträge: 318
Registriert: 11. Jun 2016, 11:16
Wohnort: Konstanz
OS, Lazarus, FPC: Linux Mint 18.1 L1.6.2-1 FPC 3.0.0 | 
CPU-Target: 64Bit
Nach oben

Beitragvon Warf » 29. Mai 2019, 14:49 Re: Lazarus 2.0.2 Abhängigkeit nicht erfüllbar

Bei ner Debian basierten distro (wie mint) einfach die testing repos im sources file von apt aktivieren und schon bekommst du aktuelle Lazarus und fpc Versionen drüber
Warf
 
Beiträge: 1303
Registriert: 23. Sep 2014, 16:46
Wohnort: Aachen
OS, Lazarus, FPC: MacOS | Win 10 | Linux | 
CPU-Target: x86_64
Nach oben

• Themenende •

Zurück zu Linux



Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

porpoises-institution
accuracy-worried